xcb_composite_redirect_window(3)

NAME
xcb_composite_redirect_window - Redirect the hierarchy starting at "window" to off-screen storage.

SYNOPSIS
#include <xcb/composite.h>

  Request function

xcb_void_cookie_t xcb_composite_redirect_window(xcb_connection_t *conn, xcb_window_t window, uint8_t update);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    The root of the hierarchy to redirect to off-screen storage.

update
    Whether contents are automatically mirrored to the parent window. If one client
        already specifies an update type of Manual, any attempt by another to specify a
        mode of Manual so will result in an Access error.

DESCRIPTION
The hierarchy starting at 'window' is directed to off-screen
    storage. When all clients enabling redirection terminate,
    the redirection will automatically be disabled.

    The root window may not be redirected. Doing so results in a Match
    error.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_composite_redirect_window_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from composite.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.